package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity 
@Table(name="PersepsiKognisi_T")
public class PersepsiKognisi extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "ObjectPasienDaftarFk")
	@NotNull(message="PasienDaftar Harus Diisi")
	@Caption(value="PasienDaftar")
	private AntrianPasienDiPeriksa pasienDaftar;
	
	@Column(name = "ObjectPasienDaftarFk", insertable=false,updatable=false, nullable=false)
	private String pasienDaftarId;

	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;
	
	@ManyToOne
	@JoinColumn(name = "ObjectPendengaranFk")
	@NotNull(message="Object Pendengaran Harus Diisi")
	@Caption(value="Object Pendengaran")
	private StatusYaTidak pendengaran;
	
	@Column(name = "ObjectPendengaranFk", insertable=false,updatable=false, nullable=false)
	private Integer pendengaranId;

	@ManyToOne
	@JoinColumn(name = "ObjectPenglihatanFk")
	@NotNull(message="Object Penglihatan Harus Diisi")
	@Caption(value="Object Penglihatan")
	private StatusYaTidak penglihatan;
	
	@Column(name = "ObjectPenglihatanFk", insertable=false,updatable=false, nullable=false)
	private Integer penglihatanId;

	@ManyToOne
	@JoinColumn(name = "ObjectDayaIngatFk")
	@NotNull(message="Object DayaIngat Harus Diisi")
	@Caption(value="Object DayaIngat")
	private StatusYaTidak dayaIngat;
	
	@Column(name = "ObjectDayaIngatFk", insertable=false,updatable=false, nullable=false)
	private Integer dayaIngatId;

	public StatusYaTidak getPendengaran() {
		return pendengaran;
	}

	public void setPendengaran(StatusYaTidak pendengaran) {
		this.pendengaran = pendengaran;
	}

	public StatusYaTidak getPenglihatan() {
		return penglihatan;
	}

	public void setPenglihatan(StatusYaTidak penglihatan) {
		this.penglihatan = penglihatan;
	}

	public StatusYaTidak getDayaIngat() {
		return dayaIngat;
	}

	public void setDayaIngat(StatusYaTidak dayaIngat) {
		this.dayaIngat = dayaIngat;
	}

	public AntrianPasienDiPeriksa getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(AntrianPasienDiPeriksa pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}
	
}
